#!/bin/sh
#
# BIG BROTHER OVERALL EVENT LOGS HISTORY DISPLAY SCRIPT
# Robert-Andre Croteau
# Version 1.5a
# Sep 01st, 2000
#
# This program is Copyright (c) 1997-2000
# The MacLawran Group Inc.
# All Rights Reserved
#

#
# Similar to the work of MR NETOPS
# (Todd Jimenez <TJimenez@outpost.com>)
# but his is nicer...
# Thanks Todd for pestering us to include this feature !!!
#
# This script should be called within mkbb.sh or mkbb2.sh
#

NUMEVENTS=25

echo "<BR><BR>
<TABLE SUMMARY=\"Last $NUM events\" BORDER=0>
<TR BGCOLOR="333333">
<TD ALIGN=CENTER COLSPAN=4><FONT SIZE=-1 COLOR="teal">Last $NUMEVENTS events received</FONT></TD></TR>"

$TAIL -$NUMEVENTS $BBHIST/allevents | $AWK '{x[NR] = $0} END { for (i = NR; i > 0; i--) print x[i] }' |
while read line
do
	OUT=""
	case "$BG" in
	000000 )
		BG="000033"
		;;
	* )
		BG="000000"
		;;
	esac

	OUT="${OUT}
<TR BGCOLOR=$BG>"

	set $line
	case "$#" in
	8 )
		;;
	* )
		OUT="${OUT}
<TD COLSPAN=4>Invalid line in 'hist/allevents'</TD>"
		continue
		;;
	esac

	HOST=$1
	HOSTDIR=$HOST
	SERVICE=$2
	ATDATE=`$BBHOME/bin/touchtime -c $3`
	FROMDATE=`$BBHOME/bin/touchtime -c $4`

	color=$7
	bgcolor=$6

	argnum=0
	for color in $6 $7
	do
		case "$color" in
		re )
			color=red
			;;
		pu )
			color=purple
			;;
		ye )
			color=yellow
			;;
		gr )
			color=green
			;;
		bl )
			color=blue
			;;
		cl )
			color=clear
			;;
		* )
			color=clear
			;;
		esac
	
		case "$argnum" in
		0 )	
			tocolor=$color
			argnum=1
			;;
		* )
			fromcolor=$color
			;;
		esac
	done

	OUT="${OUT}
<TD ALIGN=CENTER>$ATDATE</TD>"

	case "$tocolor" in
	clear )
		OUT="${OUT}
<TD ALIGN=CENTER BGCOLOR=black><FONT COLOR=white>$HOST</FONT></TD>"
		;;
	* )
		OUT="${OUT}
<TD ALIGN=CENTER BGCOLOR=$tocolor><FONT COLOR=black>$HOST</FONT></TD>"
		;;
	esac

	OUT="${OUT}
<TD ALIGN=LEFT>$SERVICE</TD>"

	set $FROMDATE
	OUT="${OUT}
<TD><A HREF=\"$CGIBINURL/bb-histlog.sh?HOST=$HOSTDIR&SERVICE=$SERVICE&TIMEBUF=${1}_${2}_${3}_${4}_${5}\">
<IMG SRC=\"$BBSKIN/$fromcolor.gif\" BORDER=0 ALT=$fromcolor></A>"


	set $ATDATE
	OUT="${OUT}
<IMG SRC=\"$BBSKIN/arrow.gif\" BORDER=0 ALT=\"From -> To\">
<A HREF=\"$CGIBINURL/bb-histlog.sh?HOST=$HOSTDIR&SERVICE=$SERVICE&TIMEBUF=${1}_${2}_${3}_${4}_${5}\">
<IMG SRC=\"$BBSKIN/$tocolor.gif\" BORDER=0 ALT=$tocolor></A></TD></TR>"

	echo "${OUT}"
done

echo "</TABLE>"
		

exit 0
